utf8mb4_unicode_ci

Ce sujet a 5 réponses, 3 participants et a été mis à jour par  Seguinot Christophe, il y a 1 an et 1 mois.

6 sujets de 1 à 6 (sur un total de 6)
  • Auteur
    Messages
  • #1371

    Anonyme

    Nous avons dû remplacer tous les utf8mb4_unicode_ci du fichier sql par des utf8_unicode_ci, sinon impossible d’importer les tables ? Quelle version minimale de MySQL (MariaDB) faut t’il ?
    Pourquoi avoir supprimer l’interface d’installation classique de WordPress?
    Est-ce un WordPress ‘bidouillé’ ou bien un theme + plugin ?
    Dans ce dernier cas pourquoi avoir fourni une arborescence complète d’un wordpress dans une version déjà obsolète ?
    Peut-t’on faire la mise à jour de WordPress sans ‘corrompre’ ce « kit » ?

    #1379

    Seguinot Christophe
    Participant

    Bonjour

    Avec une version récente de Mysql 14.14 et phpmyadmin 4.6.6 sous Ubuntu je n’ai pas eu à faire de modification, le collation utf8mb4_unicode_ci est effectivement utilisée sur les tables du kit.

    Je suis d’accord sur le fait que livrer un WordPress configuré + KitCNRS peut être utile pour démarrer, mais il nous faudra très rapidement une vrai thème « cnrswebkit »pour mettre à jour nos sites web.

    Pour les mises à jour à effectuer, je n’ai pas encore testé sur mon site de dev.

    #6713

    Rouessac Vincent
    Participant

    Bonjour,
    Je souhaite me faire la main sur ce kit sous WP en l’installant sur mon site perso, avant de l’installer sur le www du labo.
    L’importation du fichier kit-web-cnrs-v1.03.sql, phpMyAdmin retourne l’erreur « #1273 – Unknown collation: ‘utf8mb4_unicode_ci’  » et s’arrête.
    Mysql : version 5.1.61
    phpMyAdmin : version 3.1.5
    Que dois-je faire ? Merci d’avance pour votre réponse.
    Cordialement,
    NB : il est vrai qu’une installation classique de WP puis d’un thème kitwebcnrs serait nettement plus pratique…

    #6721

    Seguinot Christophe
    Participant

    La réponse est dans le premier post d’Anonyme:
    Il faut
    -soit utiliser une version de MySQL ou MariaDB supportant le codage utf8mb4_unicode_ci (solution optimale)
    -soit remplacer dans le fichier kit-web-CNRS-v1.03.sql toutes les occurrences de utf8mb4_unicode_ci par des utf8_unicode_ci. (cela n’a pas d’incidence sur le contenu de la base du kit CNRS)

    N.B. cette erreur n’est pas due au kit mais à l’utilisation de l’utilisation de l’encodage utf8mb4_unicode_ci. Cet usage est pleinement justifié car l’encodage utf8 de MySQL comporte un bug qui a été corrigé en remplaçant utf8 (devenu obsolète) par utf8mb4.

    Bon courage pour les tests.

    #6722

    Rouessac Vincent
    Participant

    Merci Christophe.
    Ce fichier sql contient également des « utf8mb4 » qui bloque l’importation. A remplacer par des « utf8 » ?

    • Cette réponse a été modifiée le il y a 1 an et 1 mois par  Rouessac Vincent.
    #6739

    Seguinot Christophe
    Participant

    Oups !
    OUI il faut aussi changer cela.

6 sujets de 1 à 6 (sur un total de 6)

Vous devez être connecté pour répondre à ce sujet.